# -*- coding: utf-8 -*-

import click

from em_tasks.shopify.order_util import OrderUtil
from em_tasks.utils.offer_services import AmzOfferService
from em_tasks.store.models import *

from em_celery import init_db, get_offer_service_config, get_amz_offer_filter_config


@click.command('Find amazon orders offer')
def find_amz_orders_offer():
  init_db()

  filter_cond = get_amz_offer_filter_config()
  offer_service_cfg = get_offer_service_config()
  offer_service = AmzOfferService(
    offer_service_cfg['host'], offer_service_cfg['port'],
    offer_service_cfg['user'], offer_service_cfg['password'], filter_cond)

  OrderUtil.find_amz_order_offers(offer_service)


if __name__ == "__main__":
  find_amz_orders_offer()
