# -*- coding: utf-8 -*-

import json

import click

from em_tasks.store.store_util import StoreUtil
from em_tasks.shopify.order_util import OrderUtil
from em_tasks.store.models import *

from em_celery import logger, init_db


@click.command('Cancel risk Orders')
@click.option('-s', '--store_code', required=True, type=str, help='Store code.')
def capture_orders(store_code):
  init_db()

  store = StoreUtil.get_store_by_code(store_code)
  if not store:
    logger.warning('[StoreNotFound] %s', store_code)
    return

  credential = json.loads(store.api_credential)
  order_util = OrderUtil(credential['name'], credential['token'], credential.get('release', None))
  order_util.capture_fulfillable_orders()


if __name__ == "__main__":
  capture_orders()
