# -*- coding: utf-8 -*-

import click

from em_tasks.utils.shopify_products_syncer import ShopifyProductsSyncer
from em_tasks.store.models import *

from em_celery import init_db


@click.command('Sync shopify products to system')
@click.option('-s', '--store_code', required=True, type=str, help='Store code.')
def sync_shopify_products(store_code):
  init_db()

  syncer = ShopifyProductsSyncer(store_code)
  syncer.run()


if __name__ == "__main__":
  sync_shopify_products()
