# -*- coding: utf-8 -*-

# Copyright © 2018 by IBPort. All rights reserved.
# -*- coding: utf-8 -*-

from __future__ import absolute_import

import os.path
import pkgutil

from celery import Celery
from celery.signals import celeryd_init, worker_shutdown
from celery.utils.log import get_logger

import em_celery
import em_celery.tasks


node_name = None
logger = get_logger(__name__)

modules = []
for loader, name, ispkg in pkgutil.iter_modules(em_celery.tasks.__path__):
    if ispkg:
        continue

    modules.append('em_celery.tasks.{}'.format(name))

app = Celery('em_celery', include=modules)
app.config_from_object('em_celery.config')

if __name__ == '__main__':
    app.start()

    # print(modules)